Download it now!
Bug 135636 - Deleting page break not working, if the cursor is on different page
Summary: Deleting page break not working, if the cursor is on different page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-08-11 12:56 UTC by Telesto
Modified: 2021-01-07 08:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (494.63 KB, application/vnd.oasis.opendocument.text)
2020-08-11 12:57 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-11 12:56:53 UTC
Description:
Deleting page break not working, if the cursor is on different page

Steps to Reproduce:
1. Open the attached file
2. Hoover over the blue page break
3. Edit page break -> Text flow tab -> uncheck flow tab & Press OK -> nothing happens

4. Now set the cursor in the frame on page 2 & repeat -> working

Actual Results:
Deleting page break not working properly

Expected Results:
Should work as expected (and not being dependent on cursor position)


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
7.1

and in 
6.2

Looks like bug 134439 in different context
Comment 1 Telesto 2020-08-11 12:57:10 UTC
Created attachment 164159 [details]
Example file
Comment 2 Xisco Faulí 2020-08-13 13:19:03 UTC
(In reply to Telesto from comment #0)
> Description:
> Deleting page break not working, if the cursor is on different page
> 
> Steps to Reproduce:
> 1. Open the attached file
> 2. Hoover over the blue page break
> 3. Edit page break -> Text flow tab -> uncheck flow tab & Press OK ->

uncheck flow tab? How can you uncheck the tab ?
Comment 3 Telesto 2020-08-13 13:35:36 UTC
(In reply to Xisco Faulí from comment #2)
> (In reply to Telesto from comment #0)
> > Description:
> > Deleting page break not working, if the cursor is on different page
> > 
> > Steps to Reproduce:
> > 1. Open the attached file
> > 2. Hoover over the blue page break
> > 3. Edit page break -> Text flow tab -> uncheck flow tab & Press OK ->
> 
> uncheck flow tab? How can you uncheck the tab ?

Proper STR
1. Open the attached file
2. Hoover over the blue page break
3. Edit page break -> Text flow tab -> uncheck break checkbox
4. press OK
Comment 4 Telesto 2020-08-19 11:25:45 UTC
A) Delete page break is working, 
B) Edit page break -> Text flow tab -> uncheck flow tab & Press OK -> nothing happens -> Except if you delete the page break first followed by undo
Comment 5 Telesto 2020-08-19 11:27:38 UTC
Also found in
Version: 6.1.0.0.alpha0+
Build ID: f11a4759ac53c4d13703a83b4ae83df6663ef1ad
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL

not in
6.0
Comment 6 raal 2020-08-19 21:36:40 UTC
Confirm with Version: 7.1.0.0.alpha0+
Build ID: ce6c6a5ad6c9dde09bb0bb0c51e16d828cfe0ef7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 7 raal 2020-08-19 21:49:20 UTC
This seems to have begun at the below commit.
Adding Cc: to Jan Holesovsky ; Could you possibly take a look at this one?
Thanks

bibisect-linux-64-6.1$
90bda92e580833c804cb8e25f129667964540b11 is the first bad commit
commit 90bda92e580833c804cb8e25f129667964540b11
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Jan 24 12:29:13 2018 +0100

    source sha:c3a085d22742f88e91ff92f319a26d6e8d1d9a98

author	Jan Holesovsky <kendy@collabora.com>	2018-01-23 18:13:01 +0100
committer	Jan Holesovsky <kendy@collabora.com>	2018-01-24 11:45:52 +0100
commit	c3a085d22742f88e91ff92f319a26d6e8d1d9a98 (patch)
tree	9f84d93e9a2822760b60730e9c6130a31e0302db
parent	3bbf8d0a9b9e36299c889d8252d9a2b068f17ff6 (diff)
lokdialog: Convert the Table -> Properties... to async exec.
Comment 8 Telesto 2020-08-30 20:21:10 UTC
@Caolan
There is still an issue after the fix for you did for bug 134439
Comment 9 Caolán McNamara 2020-08-31 14:06:27 UTC
from the menu, The table is selected, the dialog launched, but its async so control passes back to the launching menu which continues on to call sw/source/uibase/docvw/PageBreakWin.cxx:254 and pops off the table selection, so when the dialog is applied the table isn't selected
Comment 10 Caolán McNamara 2020-08-31 14:23:34 UTC
This is a different, but similar but to bug 134439
Comment 11 Commit Notification 2020-08-31 19:57:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/81f91196b98af38e29af451b86c26a893a109abc

tdf#135636 the selection at dialog-launch time is lost by dialog-apply time

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Caolán McNamara 2020-08-31 19:58:24 UTC
fixed in master, backport to 7-0 in gerrit
Comment 13 Commit Notification 2020-09-01 11:42:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/af002a22eea1a3a94649ab5154db55b266696787

tdf#135636 the selection at dialog-launch time is lost by dialog-apply time

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2021-01-07 00:26:08 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8ddc0fd04e29640fd05fed7b7bdbc387a1c94bf6

tdf#135636: sw: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.